{% extends 'profile/layouts/frontend/base.html' %}

{% load static %}



{% block main %}
<div class="container-fluid position-relative p-0">
    <!-- start banner  - berita -->
    <div class="container-fluid bg-primary py-5 bg-header" style="margin-bottom: 90px;">
        <div class="row py-5">
            <div class="col-12 pt-lg-5 mt-lg-5 text-center">
                <h5 class="display-5 text-white animated zoomIn">Pengaduan Publik</h5>
                <a href="" class="h5 text-white">Dinas Pendidikan & Kebudayaan Provinsi Papua Tengah</a>
            </div>
        </div>
    </div>
    <!-- end banner  - berita -->
</div>
<div class="container-fluid wow fadeInUp" data-wow-delay="0.1s">
    <div class="container">
        <div class="row">
            <!-- Blog list Start -->
            <div class="col-lg-8">
                <div class="tata-cara">
                    <div class="section-title section-title-sm position-relative pb-3 mb-4">
                        <h5 class="mb-0">Tata Cara Pengaduan</h5>
                    </div>
                    <!-- Blog Detail Start -->
                    {% for std_layanan in dt_standar %}
                    <div class="mb-5">
                        <div class="row">
                            <div class="col-md-2">
                                <img class="img-fluid w-100 rounded mb-5" src="/media/{{std_layanan.foto}}" alt="">
                            </div>
                            <div class="col-md-10">
                                <h3 class="mb-3">{{std_layanan.title}}</h3>
                                <small class="me-3 mb-3"><i class="fa fa-calendar-alt text-primary me-2"></i> 20 Juni 2023</small>
                                <small class="me-3 mb-3"><i class="fa fa-eye text-primary me-2"></i> 1.235 Views</small>
                                <small><i class="fa fa-tag text-primary me-2 mb-3" ></i>Papua Tengah Cerdas</small>
                                {{ std_layanan.description|safe }}
                            </div>
                        </div>
                       
                       
                    </div>
                    {% endfor %}
                    <!-- Blog Detail End --> 
                </div>  
                <div class="tata-cara">
                    <div class="section-title section-title-sm position-relative pb-3 mb-4">
                        <h5 class="mb-0">Form Pengaduan</h5>
                    </div>
                    <div class="mb-5 row">
                        <div class="col-md-8 card p-3">
                            <form id="formPengaduan" action="{% url 'profile:input_pengaduan' %}" method="post" enctype="multipart/form-data">
                                {% csrf_token %}
                                <div class="mb-3">
                                  <label for="no_identita" class="form-label">N0. NIK/KTP</label>
                                  <input type="text" placeholder="Masukan N0. NIK/KTP" class="form-control" name="no_identitas" id="no_identita" required>
                                </div>
                                <div class="mb-3">
                                  <label for="nama" class="form-label">Nama lengkap</label>
                                  <input type="text" placeholder="Masukan nama lengkap" class="form-control"  name="nama" id="nama" required>
                                </div>
                                <div class="mb-3">
                                  <label for="email" class="form-label">Email</label>
                                  <input type="email" placeholder="Masukan Email" class="form-control" name="email" id="Email" required>
                                </div>
                                <div class="mb-3">
                                  <label for="no_hp" class="form-label">No. Hp</label>
                                  <input type="text" placeholder="Masukan no handphone anda" class="form-control" name="no_hp" id="no_hp" required>
                                </div>
                                <div class="mb-3">
                                    <label class="form-label" for="">Status</label>
                                    <div class="form-check">
                                        <div>
                                            <input type="radio" class="form-check-input" id="exampleCheck1" name="status" value="perorangan">
                                            <label class="form-check-label" for="exampleCheck1">Perorangan</label>
                                        </div>
                                        <div>
                                            <input type="radio" class="form-check-input" id="exampleCheck2" name="status" value="instansi">
                                            <label class="form-check-label" for="exampleCheck2">Instansi</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="mb-3" id="namaInstansiField" style="display: none;">
                                    <label for="nama_instansi" class="form-label">Nama Instansi</label>
                                    <input type="text" placeholder="Masukkan Nama Instansi" class="form-control" name="nama_instansi" id="nama_instansi">
                                </div>
                        
                                <div class="mb-3" id="alamatField" style="display: none;">
                                    <label for="alamat" class="form-label">Alamat</label>
                                    <input type="text" placeholder="Masukkan Alamat" class="form-control" name="alamat" id="alamat">
                                </div>
                                <div class="mb-3">
                                    <label for="kategori" class="form-label">Kategori</label>
                                    <select name="kategori" class="form-control" id="kategori">
                                        {% for dt_kategori in kategori %}
                                        <option value="{{dt_kategori.id}}">{{dt_kategori.nama_kategori}}</option>
                                        {% endfor %}
                                      </select>
                                </div>
                                <div class="mb-3">
                                    <label for="deskripsi" class="form-label">Deskripsi</label>
                                    <textarea class="form-control" name="deskripsi" id="deskripsi" required></textarea>
                                </div>
                                <div class="mb-3">
                                    <label for="captcha" class="form-label">CAPTCHA</label>
                                    <div class="cf-turnstile" data-sitekey="0x4AAAAAAAzWBXl8wb8PCoqt" data-theme="light"></div>
                                </div>
                                <button type="submit" class="btn btn-primary col-md-12"><i class="fas fa-paper-plane"></i> Kirim Pengaduan</button>
                              </form>
                        </div>
                    
                    </div>
                </div>  
           
            </div>
            <!-- Blog list End -->


            <!-- Sidebar Start -->
            <div class="col-lg-4">
                  <!-- Recent Post Start -->
                  {% include 'profile/layouts/frontend/side_news.html' %}
                <!-- Recent Post End -->
                <!-- Category Start -->
                <div class="mb-5 wow slideInUp" data-wow-delay="0.1s">
                    <div class="section-title section-title-sm position-relative pb-3 mb-4">
                        <h5 class="mb-0">Layanan</h5>
                    </div>
                    <div class="link-animated d-flex flex-column justify-content-start">
                        {% for layanan in menulayanan %}
                            {% if layanan.typexs == 'Standar Layanan' %}
                                <a class="h5 fw-semi-bold bg-light rounded py-2 px-3 mb-2" href="{% url 'profile:layanan' %}"><i class="bi bi-arrow-right me-2"></i>{{layanan.typexs|capfirst}}</a>
                            {% elif layanan.typexs == 'Pengaduan Publik' %}
                                <a class="h5 fw-semi-bold bg-light rounded py-2 px-3 mb-2" href="{% url 'profile:pengaduan' %}"><i class="bi bi-arrow-right me-2"></i>{{layanan.typexs|capfirst}}</a>
                            {% elif layanan.typexs == 'Layanan Akses Informasi Publik' %}
                                <a class="h5 fw-semi-bold bg-light rounded py-2 px-3 mb-2" href="{% url 'profile:info_publik' %}"><i class="bi bi-arrow-right me-2"></i>{{layanan.typexs|capfirst}}</a>
                            {% elif layanan.typexs == 'Layanan Permohonan Informasi' %}
                                <a class="h5 fw-semi-bold bg-light rounded py-2 px-3 mb-2" href="{% url 'profile:permohonan' %}"><i class="bi bi-arrow-right me-2"></i>{{layanan.typexs|capfirst}}</a>
                            {% endif %}
                        {% endfor %}
                    </div>
                </div>
                <!-- Category End -->
            </div>
            <!-- Sidebar End -->
        </div>
    </div>
</div>
{% endblock main %}
{% include 'profile/layouts/frontend/footer.html' %}


{% block js %}
<script src="https://challenges.cloudflare.com/turnstile/v0/api.js" async defer></script>
<script>
    $(document).ready(function() {
        $('#formPengaduan').submit(function(e) {
            e.preventDefault();

            // Serialize form data
            var formData = new FormData($(this)[0]);

            // Send AJAX request
            $.ajax({
                type: 'POST',
                url: $(this).attr('action'),
                data: formData,
                processData: false,
                contentType: false,
                success: function(response) {
                    Swal.fire({
                        title: 'Sukses!',
                        text: response.message,
                        icon: 'success',
                        confirmButtonText: 'OK'
                    }).then(function() {
                        window.location.href = '{% url "profile:pengaduan" %}';
                    });
                },
                error: function(response) {
                    console.log(response);
                    Swal.fire({
                        title: 'Error!',
                        text: response.responseJSON.message,
                        icon: 'error',
                        confirmButtonText: 'OK'
                    });
                }
            });
        });
    });
</script>
<script>
    // Ambil elemen radio buttons
    const peroranganRadio = $('#exampleCheck1');
    const instansiRadio =$('#exampleCheck2');

    // Ambil elemen yang ingin diubah visibilitasnya
    const namaInstansiField = $('#namaInstansiField');
    const alamatField = $('#alamatField');

    peroranganRadio.on('change', function() {
            if ($(this).is(':checked')) {
                console.log('testt')
                namaInstansiField.css('display', 'none');
                alamatField.css('display', 'block');
            }
        });

        instansiRadio.on('change', function() {
            if ($(this).is(':checked')) {
                namaInstansiField.css('display', 'block');
                alamatField.css('display', 'block'); 
            }
        });
</script>
{% endblock js %}



